#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-2vALNrcRDuw5YBKNlR9WC4-dns-internal
key:                  dns-4.0.1-2vALNrcRDuw5YBKNlR9WC4-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  02cb50e3ce5b5f028e25a2f8d3c93ba4
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-2vALNrcRDuw5YBKNlR9WC4-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-Hbf8iw1TAQkCo5mSzdU6hX
    attoparsec-0.14.1-K1PNUn1z9Ub7TsFBpn3sHF
    auto-update-0.1.6-BOmmzhhNUz9DjCWPkOfLIM base-4.15.0.0
    base16-bytestring-1.0.1.0-HQnGun3kEYk7BOuN5JifKG
    base64-bytestring-1.2.1.0-4goXiWwuh8e2oX3WTVncED
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-8qXJIhuOtfq9s1JkrsBqDD
    hourglass-0.2.12-GfYX3iSsgGBuCx46ZNkZ5
    iproute-1.7.11-LQeZyVvMavfAKgSqPtlDqY mtl-2.2.2
    network-3.1.2.2-HGbVE4boZ66LTdBzqgSQTe
    psqueues-0.2.7.2-3Mh4KSlWwlp9VlUjWnZvEA

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-Flbp86YRytPEIprZCWCef3
key:                  dns-4.0.1-Flbp86YRytPEIprZCWCef3
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  e3ed2f718cc8ea406a0043b58737a23a
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-Flbp86YRytPEIprZCWCef3
depends:
    array-0.5.4.0 async-2.2.3-Hbf8iw1TAQkCo5mSzdU6hX
    attoparsec-0.14.1-K1PNUn1z9Ub7TsFBpn3sHF
    auto-update-0.1.6-BOmmzhhNUz9DjCWPkOfLIM base-4.15.0.0
    base16-bytestring-1.0.1.0-HQnGun3kEYk7BOuN5JifKG
    base64-bytestring-1.2.1.0-4goXiWwuh8e2oX3WTVncED
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-8qXJIhuOtfq9s1JkrsBqDD
    dns-4.0.1-2vALNrcRDuw5YBKNlR9WC4-dns-internal
    hourglass-0.2.12-GfYX3iSsgGBuCx46ZNkZ5
    iproute-1.7.11-LQeZyVvMavfAKgSqPtlDqY mtl-2.2.2
    network-3.1.2.2-HGbVE4boZ66LTdBzqgSQTe
    psqueues-0.2.7.2-3Mh4KSlWwlp9VlUjWnZvEA

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

